| LIRC libraries LinuxInfraredRemoteControl

Public Member Functions | Public Attributes | List of all members
lirc.client.Reply Class Reference
Python client bindings » Classes to send commands

The status/result from parsing a command reply. More...

Inheritance diagram for lirc.client.Reply:

## Public Member Functions
def | __init__ (self)

## Public Attributes
| result
| Enum Result, reflects parser state. More...
| success
| bool, reflects SUCCESS/ERROR. More...
| data
| List of lines, the command DATA payload. More...
| sighup
| bool, reflects if a SIGHUP package has been received
| last_line
| str, last input line (for error messages). More...

## Detailed Description

The status/result from parsing a command reply.

Definition at line 415 of file client.py.

## Member Data Documentation

## § data

lirc.client.Reply.data

List of lines, the command DATA payload.

Definition at line 436 of file client.py.

## § last_line

lirc.client.Reply.last_line

str, last input line (for error messages).

Definition at line 438 of file client.py.

## § result

lirc.client.Reply.result

Enum Result, reflects parser state.

Definition at line 434 of file client.py.

## § success

lirc.client.Reply.success

bool, reflects SUCCESS/ERROR.

Definition at line 435 of file client.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/client.py (c46974b 2017-01-23 02:17:12 +0100)